/*
 File: NSFileManager+ScriptableAPI.m

   Original Author: bbum

   Copyright 1999 by CodeFab, Inc.   All rights reserved.

   This notice may not be removed from this source code.
   The use and distribution of this software is governed by the
   terms of the MiscKit license agreement.  Refer to the license
   document included with the MiscKit distribution for the terms.
   Details of the license agreement may be found at
   www.misckit.com or within the MiscKit distribution.

   There may be more information about this software on
   www.codefab.com.  Send queries to ask_codefab@codefab.com.
*/
#import <Foundation/Foundation.h>
#import <EOControl/EOControl.h>
#import <WebObjects/WebObjects.h>

#import "Mssh.h"

#import "NSFileManager+ScriptableAPI.h"

@implementation NSFileManager (ScriptableAPI)
- (BOOL)fileExistsAtPath:(NSString *)path isDirectoryIntoDictionary: (NSMutableDictionary *) aDictionary;
{
    if (aDictionary == nil)
        return [self fileExistsAtPath:path isDirectory: NULL];
    else {
        BOOL isDirectory;

        BOOL returnValue = [self fileExistsAtPath:path isDirectory: &isDirectory];
        [aDictionary setObject: [NSNumber numberWithBool: isDirectory] forKey: MSSHSScriptableAPIValueKey];

        return returnValue;
    }
}

- (BOOL)directoryExistsAtPath: (NSString *) path
{
    BOOL isDirectory;

    return ([self fileExistsAtPath:path isDirectory: &isDirectory] == YES) && (isDirectory == YES);
}
@end